List Single Session
Retrieve details for a specific Query Profiler session by name.
GET
/api/{version}/logs/query/profiler/{session_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) |
Path Parameters
Section link for Path Parameters| Name | Description |
|---|---|
{session_name} | The name of the profiler session. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://{vault_dns}/api/v26.2/logs/query/profiler/session__cResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"id": "0LS000000002003",
"label": "Query Profiler",
"name": "query_profiler__c",
"description": null,
"status": "in_progress__sys",
"user_id": null,
"created_date": "2026-04-24T18:47:25.000Z",
"expiration_date": "2026-05-24T18:47:25.000Z",
"query_targets": null,
"result_count_min": null,
"result_count_max": null,
"query_time_min": null,
"query_time_max": null,
"query_origin": null,
"response_status": null
}
}Response Details
Section link for Response DetailsThe response includes the following metadata, including any filters:
| Field Name | Description |
|---|---|
id | The ID of this session. |
label | The label of this session. |
name | The name of this session. |
description | The description of this session. |
status | The status of this session. For example, in_progress__sys. |
created_date | The date the session was created. |
expiration_date | The date the session expires. |
user_id | The user ID captured in this session’s filters. |
query_targets | The query targets captured in this session’s filters. |
result_count_min | The minimum result count captured in this session’s filters. |
result_count_max | The maximum result count captured in this session’s filters. |
query_time_min | The minimum query execution time (in seconds) captured in this session’s filters. |
query_time_max | The maximum query execution time (in seconds) captured in this session’s filters. |
query_origin | The query origin (api, sdk, or all) captured in this session’s filters. |
response_status | The query’s response status captured in this session’s filters. |